ZIP2TARCAT(1)

NAME
zip2tarcat - convert a ZIP archive to a TAR archive and write it to stdout

SYNOPSIS
zip2tarcat [-h(elp)] zipfile

DESCRIPTION
zip2tarcat converts a single ZIP archive to TAR archive format. Notably, it does so without extracting the zipfile contents to disk.

OPTIONS

-h  Print help and quit.

EXAMPLES

Convert a zipfile to a tar file directly:
    zip2tarcat file01.zip > file01.tar

Convert a zipfile to a tar file while compressing it:
    zip2tarcat file01.zip | gzip -c -9 > file01.tar.gz
    zip2tarcat file01.zip | xz -c > file01.tar.xz

CAVEATS
The zip2tarcat utility automatically converts between ZIP timestamps (which are based on local time) and TAR timestamps (which are based on UTC time) so that files extracted from the newly-created TAR archive will still bear the correct timestamp. However, if the conversion is performed on a machine running under a different timezone than where the zipfile was created, the converted timestamps may be erroneous. If this causes problems, the local timezone should be temporarily be set to match that where the original zipfile was created to resolve the issue.

COPYRIGHT
Copyright (C) 2014-2015 by D. Gloger. Modifications (C) 2025-2026 by Brian Lindholm. This program is free software; you can use it, redistribute it, and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 3, or (at your option) any later version. This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.